---
title: "FreeBSD 9.1-RELEASE Announcement"
sidenav: download
---

include::shared/en/urls.adoc[]
include::shared/releases.adoc[]
:thisDate: {rel91-current-date}

= FreeBSD 9.1-RELEASE Announcement

Date: {thisDate}

The FreeBSD Release Engineering Team is pleased to announce the availability of FreeBSD 9.1-RELEASE. This is the second release from the stable/9 branch, which improves on the stability of FreeBSD 9.0 and introduces some new features. Some of the highlights:

* New Intel GPU driver with GEM/KMS support
* netmap(4) fast userspace packet I/O framework
* ZFS improvements from illumos project
* CAM Target Layer, a disk and processor device emulation subsystem
* Optional new {cpp}11 stack including LLVM libc++ and libcxxrt
* Jail devfs, nullfs, zfs mounting and configuration file support
* POSIX2008 extended locale support, including compatibility with Darwin extensions
* oce(4) driver for Emulex OneConnect 10Gbit Ethernet card
* sfxge(4) driver for 10Gb Ethernet adapters based on Solarflare SFC9000 controller
* Xen Paravirtualized Backend Ethernet Driver (netback) improvement
* hpt27xx(4) driver for HighPoint RocketRAID 27xx-based SAS 6Gb/s HBA
* GEOM multipath class improvement
* GEOM raid class is enabled by default supporting software RAID by deprecated ataraid(8)
* kernel support for the AVX FPU extension
* Numerous improvements in IPv6 hardware offload support

*Please note that precompiled third-party packages are not available for 9.1-RELEASE at the time of release. See the link:#availability[Availability section] below for further details.*

For a complete list of new features and known problems, please see the online release notes and errata list available at:

* `http://www.FreeBSD.org/releases/9.1R/relnotes/`
* `http://www.FreeBSD.org/releases/9.1R/errata/`

For more information about FreeBSD release engineering activities please see:

* `http://www.FreeBSD.org/releng/`

== Availability

FreeBSD 9.1-RELEASE is now available for the amd64, i386, powerpc64, and sparc64 architectures.

FreeBSD 9.1 can be installed from bootable ISO images or over the network. Some architectures also support installing from a USB memory stick. The required files can be downloaded via FTP or BitTorrent as described in the sections below. While some of the smaller FTP mirrors may not carry all architectures, they will all generally contain the more common ones such as amd64 and i386.

MD5 and SHA256 hashes for the release ISO images are included at the bottom of this message.

The purpose of the images provided as part of the release are as follows:

dvd1::
This contains everything necessary to install the base FreeBSD operating system, a collection of pre-built packages aimed at getting a graphical workstation up and running. It also supports booting into a "livefs" based rescue mode. This should be all you need if you can burn and use DVD-sized media.
disc1::
This contains the base FreeBSD operating system. It also supports booting into a "livefs" based rescue mode. There are no pre-built packages.
bootonly::
This supports booting a machine using the CDROM drive but does not contain the support for installing FreeBSD from the CD itself. You would need to perform a network based install (e.g. from an FTP server) after booting from the CD.
memstick::
This can be written to an USB memory stick (flash drive) and used to do an install on machines capable of booting off USB drives. It also supports booting into a "livefs" based rescue mode. There are no pre-built packages.
+
As one example of how to use the memstick image, assuming the USB drive appears as /dev/da0 on your machine something like this should work:
+
....
# dd if=FreeBSD-9.1-RELEASE-amd64-memstick.img of=/dev/da0 bs=10240 conv=sync
....
+
Be careful to make sure you get the target (of=) correct.

Due to the security incident reported here:

http://www.FreeBSD.org/news/2012-compromise/

only the small third-party package set on the DVD image is available at this time for users who require pre-built packages (just GNOME and KDE windowing systems). The FreeBSD Project's package building infrastructure is undergoing a complete review and redesign. At this time we can not commit to a date the full release package set will become available. A separate announcement will be made when that becomes available. If you wish to install 9.1-RELEASE now you can build your own packages using portsnap(8) to obtain an up to date ports tree and then build the packages. If you require pre-built packages you should wait for the announcement of the full release package set becoming available.

FreeBSD 9.1-RELEASE can also be purchased on CD-ROM or DVD from several vendors. One of the vendors that will be offering FreeBSD 9.1-based products is:

* FreeBSD Mall, Inc. `http://www.freebsdmall.com/`

== FTP

At the time of this announcement the following FTP sites have FreeBSD 9.1-RELEASE available.

* `ftp://ftp.freebsd.org/pub/FreeBSD/releases/ISO-IMAGES/9.1/`
* `ftp://ftp5.freebsd.org/pub/FreeBSD/releases/ISO-IMAGES/9.1/`
* `ftp://ftp7.freebsd.org/pub/FreeBSD/releases/ISO-IMAGES/9.1/`
* `ftp://ftp8.freebsd.org/pub/FreeBSD/releases/ISO-IMAGES/9.1/`
* `ftp://ftp.au.freebsd.org/pub/FreeBSD/releases/ISO-IMAGES/9.1/`
* `ftp://ftp.cn.freebsd.org/pub/FreeBSD/releases/ISO-IMAGES/9.1/`
* `ftp://ftp.cz.freebsd.org/pub/FreeBSD/releases/ISO-IMAGES/9.1/`
* `ftp://ftp.dk.freebsd.org/pub/FreeBSD/releases/ISO-IMAGES/9.1/`
* `ftp://ftp.fr.freebsd.org/pub/FreeBSD/releases/ISO-IMAGES/9.1/`
* `ftp://ftp.jp.freebsd.org/pub/FreeBSD/releases/ISO-IMAGES/9.1/`
* `ftp://ftp.ru.freebsd.org/pub/FreeBSD/releases/ISO-IMAGES/9.1/`
* `ftp://ftp.tw.freebsd.org/pub/FreeBSD/releases/ISO-IMAGES/9.1/`
* `ftp://ftp.uk.freebsd.org/pub/FreeBSD/releases/ISO-IMAGES/9.1/`
* `ftp://ftp2.us.freebsd.org/pub/FreeBSD/releases/ISO-IMAGES/9.1/`
* `ftp://ftp10.us.freebsd.org/pub/FreeBSD/releases/ISO-IMAGES/9.1/`
* `ftp://ftp.za.freebsd.org/pub/FreeBSD/releases/ISO-IMAGES/9.1/`

However before trying these sites please check your regional mirror(s) first by going to:

* `ftp://ftp.<yourdomain>.FreeBSD.org/pub/FreeBSD`

Any additional mirror sites will be labeled *ftp2*, *ftp3* and so on.

More information about FreeBSD mirror sites can be found at:

* `http://www.FreeBSD.org/doc/en_US.ISO8859-1/books/handbook/mirrors-ftp.html`

For instructions on installing FreeBSD or updating an existing machine to 9.1-RELEASE please see:

* `http://www.FreeBSD.org/releases/9.1R/installation.html`

== Support

9.1-RELEASE is an extended support releases and will be supported by the FreeBSD Security Team until it's End-of-Life (EoL) date of December 31st 2014. As 9.1-RELEASE got delayed, the EoL of 9.0-RELEASE has been pushed to March 31st 2013 to allow people sufficient time to upgrade. As always all EoL dates can be found at http://security.FreeBSD.org/.

* `http://www.FreeBSD.org/security/`

== Other Projects Based on FreeBSD

There are many "third party" Projects based on FreeBSD. The Projects range from re-packaging FreeBSD into a more "novice friendly" distribution to making FreeBSD available on Amazon's EC2 infrastructure. For more information about these Third Party Projects see:

* `http://wiki.FreeBSD.org/3rdPartyProjects`

== Acknowledgments

Many companies donated equipment, network access, or man-hours to support the release engineering activities for FreeBSD 9.1 including The FreeBSD Foundation, Yahoo!, NetApp, Internet Systems Consortium, Sentex Communications, New York Internet, Juniper Networks, and iXsystems.

The release engineering team for 9.1-RELEASE includes:

[cols=",",]
|===
|Ken Smith <kensmith@FreeBSD.org> |Release Engineering, amd64, i386, sparc64 Release Building, Mirror Site Coordination
|Robert Watson <rwatson@FreeBSD.org> |Release Engineering, Security
|Konstantin Belousov <kib@FreeBSD.org> |Release Engineering
|Marc Fonvieille <blackend@FreeBSD.org> |Release Engineering, Documentation
|Josh Paetzel <jpaetzel@FreeBSD.org> |Release Engineering
|Hiroki Sato <hrs@FreeBSD.org> |Release Engineering, Documentation
|Bjoern Zeeb <bz@FreeBSD.org> |Release Engineering, Package Building
|Marcel Moolenaar <marcel@FreeBSD.org> |ia64, powerpc Release Building
|Nathan Whitehorn <nwhitehorn@FreeBSD.org> |powerpc64 Release Building
|Simon Nielsen <simon@FreeBSD.org> |Security Officer
|===

== Trademark

FreeBSD is a registered trademark of The FreeBSD Foundation.

== ISO Image Checksums

....
MD5 (FreeBSD-9.1-RELEASE-amd64-bootonly.iso) = 03ec0d36578a5b2092c75ac8e3eb1979
MD5 (FreeBSD-9.1-RELEASE-amd64-disc1.iso) = f0a320fd52383c42649d48ea545915a9
MD5 (FreeBSD-9.1-RELEASE-amd64-dvd1.iso) = 5da132138da8360491eb0efa24760859
MD5 (FreeBSD-9.1-RELEASE-amd64-memstick.img) = 9fb2d4ad338df42f5d86cd1ae3a427c4
....

....
MD5 (FreeBSD-9.1-RELEASE-i386-bootonly.iso) = 0c2338e03b9249c9806b8c2b10f36dec
MD5 (FreeBSD-9.1-RELEASE-i386-disc1.iso) = e37d86ce83908bf4b667fdae7298bca5
MD5 (FreeBSD-9.1-RELEASE-i386-dvd1.iso) = dd07dc30035806cabd136f99ccab7eac
MD5 (FreeBSD-9.1-RELEASE-i386-memstick.img) = 149b98037944300927a21341aa9a455a
....

....
MD5 (FreeBSD-9.1-RELEASE-powerpc64-bootonly.iso) = f65cb227e049c48bbc369d79a72e2916
MD5 (FreeBSD-9.1-RELEASE-powerpc64-memstick) = 4febdf7210882e8a9f8eee35315722ce
MD5 (FreeBSD-9.1-RELEASE-powerpc64-release.iso) = a26c7c24a0497980ffc67e1f199a5bba
....

....
MD5 (FreeBSD-9.1-RELEASE-sparc64-bootonly.iso) = 3fb02e9998e6341fea7fa75073dcf5ea
MD5 (FreeBSD-9.1-RELEASE-sparc64-disc1.iso) = 7fdec91c78799263d88f3918b71e219f
....

....
SHA256 (FreeBSD-9.1-RELEASE-amd64-bootonly.iso) = a7e429071a409232f36024df2fc92eed15dc795445030b305fa242c88d6f4596
SHA256 (FreeBSD-9.1-RELEASE-amd64-disc1.iso) = 776ba34df5ffb8b5f04b823aacea32210104204b5d3d1547334a22c86cf7090e
SHA256 (FreeBSD-9.1-RELEASE-amd64-dvd1.iso) = 7955f97e25985915013c1568319752c4006e722539c65723685923e343c3b5dc
SHA256 (FreeBSD-9.1-RELEASE-amd64-memstick.img) = d085657fc039f579a69598163de39cd0d5d09b3f5ba79ea93bb508e7958cdef4
....

....
SHA256 (FreeBSD-9.1-RELEASE-i386-bootonly.iso) = 73361f5947a71465797979a99e9fdee40797c3fc5ebc9dd4d3d31262f4940985
SHA256 (FreeBSD-9.1-RELEASE-i386-disc1.iso) = 211f9562e0c122598e03aa3fdb38dd8a5c79197a9d09e6ad32f9ee9ba4eb6e0e
SHA256 (FreeBSD-9.1-RELEASE-i386-dvd1.iso) = 46a53f57e21a7a1c2d1c014bf2cfafae3848c749174777f3a04543f1da25b678
SHA256 (FreeBSD-9.1-RELEASE-i386-memstick.img) = 9d037fbf6ac62350bf5d39be820f843c215befac94f8668a5d9935f6bec8e37d
....

....
SHA256 (FreeBSD-9.1-RELEASE-powerpc64-bootonly.iso) = a2cd9f2d58571d3e9fbb5fadd13237622d4bf1a732d61acbe649e29153a16801
SHA256 (FreeBSD-9.1-RELEASE-powerpc64-memstick) = 02d0bb7236335c6154683800a17c84eb810fbf7950da8c818a519bc09b7ef84e
SHA256 (FreeBSD-9.1-RELEASE-powerpc64-release.iso) = b04fb13eab306424319bb8ecd280a655ca6df51dc1ff5dcd6adb6eaa3ff88dba
....

....
SHA256 (FreeBSD-9.1-RELEASE-sparc64-bootonly.iso) = be55f9950e70e4da13c29c90bae0c2110e176939085d72b77e18e23307bbfaea
SHA256 (FreeBSD-9.1-RELEASE-sparc64-disc1.iso) = aa57a02b2d7e46ad8ccca1adcef0ae9aad86b2f4fb5ee9d42e21a95ae2c29f47
....
